Package com.sas.lsaf.clinical.standards

## Interface StandardsService

-     public interface StandardsService

  A service to retrieve and export standards.
  Since:
    2.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.String>` | `exportStandardToDataSets​(java.lang.String standardId, EntityStatus standardStatus, java.lang.String version, BatchFileCreateInfo info)` | Exports a standard to a location in the repository or your workspace.
    `StandardDescriptor` | `getStandardDescriptorByNameAndStatus​(java.lang.String name, EntityStatus status)` | Gets standard descriptor by name and `EntityStatus`.
    `java.util.Set<StandardDescriptor>` | `getStandardDescriptorsByStatus​(EntityStatus status)` | Gets standard descriptors by `EntityStatus`.

- - ### Method Detail

    - #### exportStandardToDataSets

          java.util.Set<java.lang.String> exportStandardToDataSets​(java.lang.String standardId,
                                                                   EntityStatus standardStatus,
                                                                   java.lang.String version,
                                                                   BatchFileCreateInfo info)
                                                            throws StandardNotFoundException,
                                                                   ExportException

      Exports a standard to a location in the repository or your workspace. Exporting a standard creates four SAS data sets. The names include the prefix specified by the `path` variable in `BatchFileCreateInfo` and these suffixes:
      - _ccol (class columns)
      - _ctab (class tables)
      - _rcol (reference columns)
      - _rtab (reference tables)

      For example, if the `path` is /YOURORG/Files/s1, s1 is used as a prefix, and the class columns data set is created with name s1_ccol.sas7bdat.

      Note: Some of the data sets might be empty.

      Parameters:
        `standardId` - The identifier of the standard.
        `standardStatus` - The `EntityStatus` of the standard.
        `version` - The version of the published standard to export. The default version is the latest. If the version is provided, the status is ignored because only published versions can be exported.
        `info` - The method to add the exported data sets.
      Returns:
        The paths to the exported data sets.
      Throws:
        `StandardNotFoundException` - Thrown when the standard does not exist.
        `ExportException` - Thrown when there is an issue exporting the standard.

    - #### getStandardDescriptorsByStatus

          java.util.Set<StandardDescriptor> getStandardDescriptorsByStatus​(EntityStatus status)

      Gets standard descriptors by `EntityStatus`. If you do not have the Manage Standards global privilege, only standards with a PUBLISHED status are returned.
      Parameters:
        `status` - The `EntityStatus` of the standard.
      Returns:
        A set of standard descriptors with the specified status.

    - #### getStandardDescriptorByNameAndStatus

          StandardDescriptor getStandardDescriptorByNameAndStatus​(java.lang.String name,
                                                                  EntityStatus status)
                                                           throws StandardNotFoundException

      Gets standard descriptor by name and `EntityStatus`. If EntityStatus is Published, the latest version is returned. To get a standard with a status other than Published, the `GlobalPrivileges.PRIVILEGE_MANAGE_STANDARDS` privilege is required.
      Parameters:
        `name` - The name of the standard.
        `status` - The `EntityStatus` of the standard.
      Returns:
        The standard descriptor with the specified name and status.
      Throws:
        `StandardNotFoundException` - Thrown when the standard does not exist.